c@***h* CMORPH-CDR/l3.CMORPH_V1.0_CRT.get_LND_0.25deg-DLY_EOD.h
c
c=======================================================================
c PROGRAM
c   l3.CMORPH_V1.0_CRT.get_LND_0.25deg-DLY_EOD.h
c
c LANGUAGE
c   Fortran77
c
c-----------------------------------------------------------------------
c PURPOSE
c   include file for domain and dimension definations and common blocks
c   of data arrays
c
c-----------------------------------------------------------------------
c NOTE
c   modified from 'cmorph_adj_land_31day.h'
c
c@*****
c=====|==|=========|=========|=========|=========|=========|=========|==
c

c-----------------------------------------------------------------------
c 1.1 domain size of the targeted field at 0.25deg resolution
c-----------------------------------------------------------------------
      parameter( nx025=1440, ny025=480, nclss=100 )

c-----------------------------------------------------------------------
c 2.1 maximum size of time window in days
c-----------------------------------------------------------------------
      parameter( nday_window=31 )

c-----------------------------------------------------------------------
c 2.2 maximum size (one side) of space window in 0.25deg grid box
c-----------------------------------------------------------------------
      parameter( ngrd_window=2 )

c-----------------------------------------------------------------------
c 2.3 minimum number of data pairs required for CDF
c-----------------------------------------------------------------------
      parameter( npair_min=500, npair_min_s=300 )

c-----------------------------------------------------------------------
c 3.1 number of days for which daily data are included
c-----------------------------------------------------------------------
      parameter( nday_file=31 )

c-----------------------------------------------------------------------
c 3.2 maxumum number of data pairs in an individual 0.25deg box
c-----------------------------------------------------------------------
      parameter( nmax0=31 )

c-----------------------------------------------------------------------
c 3.3 maximum number of data pairs over the time/space window
c-----------------------------------------------------------------------
      parameter( nmax=12000 )

c-----------------------------------------------------------------------
c set upper limit of adjustment ratio as a function of
c precipitation intensity  rmax = a/(R+b)
c-----------------------------------------------------------------------
      real a, b
      parameter( a=60.0, b=10.0 )

c-----------------------------------------------------------------------
c 4.1 land mask (land=1.0)
c-----------------------------------------------------------------------
      integer mask025(nx025,ny025)
      common /MASKS/ mask025

c-----------------------------------------------------------------------
c 4.2 data arrays 
c-----------------------------------------------------------------------
      common /DATA/ rgage(nx025,ny025), sgage(nx025,ny025),
     1              rsate(nx025,ny025), ratio(nx025,ny025),
     2              fct(nx025,ny025)
c
c=====|==|=========|=========|=========|=========|=========|=========|==
